Update AI Agent
curl --request PUT \
--url https://use.hoop.dev/api/ai-agents/{nameOrID} \
--header 'Content-Type: application/json' \
--data '
{
"groups": [
"engineering",
"platform"
],
"name": "claude-prod"
}
'import requests
url = "https://use.hoop.dev/api/ai-agents/{nameOrID}"
payload = {
"groups": ["engineering", "platform"],
"name": "claude-prod"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({groups: ['engineering', 'platform'], name: 'claude-prod'})
};
fetch('https://use.hoop.dev/api/ai-agents/{nameOrID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://use.hoop.dev/api/ai-agents/{nameOrID}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'groups' => [
'engineering',
'platform'
],
'name' => 'claude-prod'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://use.hoop.dev/api/ai-agents/{nameOrID}"
payload := strings.NewReader("{\n \"groups\": [\n \"engineering\",\n \"platform\"\n ],\n \"name\": \"claude-prod\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://use.hoop.dev/api/ai-agents/{nameOrID}")
.header("Content-Type", "application/json")
.body("{\n \"groups\": [\n \"engineering\",\n \"platform\"\n ],\n \"name\": \"claude-prod\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://use.hoop.dev/api/ai-agents/{nameOrID}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"groups\": [\n \"engineering\",\n \"platform\"\n ],\n \"name\": \"claude-prod\"\n}"
response = http.request(request)
puts response.read_body{
"created_at": "<string>",
"created_by": "<string>",
"deactivated_at": "<string>",
"deactivated_by": "<string>",
"groups": [
"engineering"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_used_at": "<string>",
"masked_key": "hpk_1nzb***************************************",
"name": "ai-agent",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "active"
}{
"message": "the error description"
}{
"message": "the error description"
}{
"message": "the error description"
}{
"message": "the error description"
}AI Agents
Update AI Agent
Update an AI Agent’s name and/or groups. Works for both active and revoked agents.
PUT
/
ai-agents
/
{nameOrID}
Update AI Agent
curl --request PUT \
--url https://use.hoop.dev/api/ai-agents/{nameOrID} \
--header 'Content-Type: application/json' \
--data '
{
"groups": [
"engineering",
"platform"
],
"name": "claude-prod"
}
'import requests
url = "https://use.hoop.dev/api/ai-agents/{nameOrID}"
payload = {
"groups": ["engineering", "platform"],
"name": "claude-prod"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({groups: ['engineering', 'platform'], name: 'claude-prod'})
};
fetch('https://use.hoop.dev/api/ai-agents/{nameOrID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://use.hoop.dev/api/ai-agents/{nameOrID}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'groups' => [
'engineering',
'platform'
],
'name' => 'claude-prod'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://use.hoop.dev/api/ai-agents/{nameOrID}"
payload := strings.NewReader("{\n \"groups\": [\n \"engineering\",\n \"platform\"\n ],\n \"name\": \"claude-prod\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://use.hoop.dev/api/ai-agents/{nameOrID}")
.header("Content-Type", "application/json")
.body("{\n \"groups\": [\n \"engineering\",\n \"platform\"\n ],\n \"name\": \"claude-prod\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://use.hoop.dev/api/ai-agents/{nameOrID}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"groups\": [\n \"engineering\",\n \"platform\"\n ],\n \"name\": \"claude-prod\"\n}"
response = http.request(request)
puts response.read_body{
"created_at": "<string>",
"created_by": "<string>",
"deactivated_at": "<string>",
"deactivated_by": "<string>",
"groups": [
"engineering"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_used_at": "<string>",
"masked_key": "hpk_1nzb***************************************",
"name": "ai-agent",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "active"
}{
"message": "the error description"
}{
"message": "the error description"
}{
"message": "the error description"
}{
"message": "the error description"
}Body
application/json
The request body resource
Response
OK
Was this page helpful?